## org.eclipse.emf.ecore.resource.impl
Class CryptoCipherImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.DESCipherImpl
          org.eclipse.emf.ecore.resource.impl.CryptoCipherImpl

All Implemented Interfaces:
  URIConverter.Cipher

Deprecated. Deprecated in 2.3.0. Use `DESCipherImpl` or `AESCipherImpl` instead. This class will be removed in future versions of EMF.

    @Deprecated
    public class CryptoCipherImpl

extends DESCipherImpl

Field Summary

Fields inherited from class org.eclipse.emf.ecore.resource.impl.DESCipherImpl
`ENCRYPTION_SCHEME, key, stringKey, UNICODE_FORMAT`

Constructor Summary
`CryptoCipherImpl()` Deprecated.
`CryptoCipherImpl(java.lang.String key)` Deprecated.

Method Summary

Methods inherited from class org.eclipse.emf.ecore.resource.impl.DESCipherImpl
`decrypt, encrypt, finish, finish, getKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CryptoCipherImpl

    public CryptoCipherImpl()

  Deprecated.

### CryptoCipherImpl

    public CryptoCipherImpl(java.lang.String key)

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.